    def sendMail(body,subject){
       
        mail    body: body,
                from: 'saberbaros@gmail.com',
                replyTo: 'saberbaros@gmail.com',
                subject: subject,
                to: 'saber.chaouch@qweeby.com'
                //mimeType: 'text/html'
    }

    

node {
    
    def body="Bonjour,\n";
    stage('Git clone'){
        git branch: 'main', credentialsId: 'Jenkins', url: 'git@gitlab.com:s.chaouch/j2e_war.git'
    }
   
    stage('Build'){
        echo("Step:: Build");
        def status = "";
        try {
           sh 'mvn clean install package';
        } catch (e) {
            status = "FAILED";
            throw e
        } finally {
            status ='Success';
        }

        body = body+"\n"+"Satge build BUILD_ID: ${env.BUILD_ID} a été terminé avec: ${status}"+"\n";
        subject = 'Build state';
        //sendMail(body,subject);  

    }
    
    stage('Deploy'){
        echo("Step:: Deploy");
        //deploy adapters: [tomcat9(credentialsId: 'tomcat', path: '', url: 'http://13.38.90.9:8080/')], contextPath: null, war: '**/*.war'
        
        //ansiblePlaybook credentialsId: 'ansible', installation: 'ansible_2.12.10', inventory: 'hosts.yml', playbook: 'playbook.yml'
        //ansiblePlaybook credentialsId: 'ansible', installation: 'ansible_2.12.10', inventory: 'hosts.yml', playbook: 'pb_ans_tomcat.yml'
        ansiblePlaybook credentialsId: 'ansible', installation: 'ansible_2.12.10', inventory: 'hosts.yml', playbook: 'playbook_docker.yml'
        
    
    }

    /*

     stage('Notify'){
        subject = 'Deploy state';
        body = body+"\nCordialement,\nL'équipe production\n";
        sendMail(body,subject); 
    }
    */
    
}